Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9170

Department: EX Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Control

Resolution: Known Problem FAQ Links:  

Description

Supportanfrage

um mittels adtf3-support-toolbox ein ADTF2 über ein adtf_control fernzusteuern, muss adtf_control.adtfsettings um eine Definition

des adtf2_launchers erweitert werden.

Allerdings wird diese Datei scheinbar neben dem adtf_control gesucht und nicht im Working-Directory.

Somit muss ich aktuell das ADTF3-Verzeichnis projektspezifisch anpassen.

Ich möchte ADTF als 3rd-Party-Paket betrachten und daher nicht modifizieren müssen, um Projekte zu betreiben.

Beim CE funktioniert das übrigens besser: Hier kann ich eine projektspezifische configurationeditor.cesettings in das Verzeichnis des

Projekts legen, welche dann im Working-Directory liegt.

Noch besser wäre natürlich die Möglichkeit, über einen Parameter die zu verwendende Datei anzugeben.

Könnt ihr das Problem nachvollziehen?

Habt ihr einen Lösungsvorschlag?

Lösung

analog zum CE soll es auch für (GUI) Control Kommandozeilen-Parameter geben (ACORE-9170), um das Problem zu lösen.

Derzeit wird nur auf das Application Directory geachtet, für projektspzeifische Lösungen soll es wie gesagt einen Kommandozeilen

Option geben.

History

#1 - 2018-06-04 10:04 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Control

- Customer set to AUDI

- Department set to EX

- Affected Products ADTF 3.3.0 added

- Platform Windows 7 64bit added

#2 - 2018-06-04 10:08 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9170

Hallo Jens,

analog zum CE soll es auch für (GUI) Control Kommandozeilen-Parameter geben (ACORE-9170), um das Problem zu lösen.

Derzeit wird nur auf das Application Directory geachtet, für projektspzeifische Lösungen soll es wie gesagt einen Kommandozeilen Option geben.
#3 - 2018-06-07 09:53 - hidden

- Project changed from 11 to Public Support

- Subject changed from adtf_control: adtf2-launcher definieren, ohne ADTF3-Verzeichnis zu modifizieren to Provide optional settings file ADTF Control

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#4 - 2018-06-26 15:48 - hidden

- Status changed from To Be Closed to Closed
